mysql-compat

Please use any-db instead

Compatibility layer to make require('mysql') act more like require('pg')

npm install mysql-compat
12 downloads in the last month

mysql-compat - Compatibility layer for MySQL

This module simply takes some of the high-level functions from the pg module, (e.g. implicit connection pooling) and swaps out the underlying pg module with mysql. I needed this to make my project gesundheit (which you should totally check out if you like programmatic query building) have less ugly internals.

Install

npm install mysql-compat

License

BSD

npm loves you